Get the vCPU, memory and disk ranges an instance spec must fit within
- Method:
GET - Path:
/v1/orgs/{org}/compute/limits - Operation ID:
getLimits - Tag: Compute
Authentication
Section titled “Authentication”Send Authorization: Bearer <credential>. The credential is either an API key (vsk_…) created for an organization, or an OIDC access token obtained by signing in to VirtScale.
Parameters
Section titled “Parameters”Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
org |
string (uuid) | Yes | The organization’s id. |
Responses
Section titled “Responses”Success
Section titled “Success”200 — LimitsOut
Section titled “200 — LimitsOut”| Field | Type | Required | Enum | Description |
|---|---|---|---|---|
disk_gb |
RangeOut | Yes | ||
disk_gb.max |
integer | Yes | ||
disk_gb.min |
integer | Yes | ||
disk_gb.step |
integer | Yes | ||
memory_gb |
RangeOut | Yes | ||
memory_gb.max |
integer | Yes | ||
memory_gb.min |
integer | Yes | ||
memory_gb.step |
integer | Yes | ||
vcpus_steps |
array of integer | Yes |
Errors
Section titled “Errors”Every error response is application/problem+json (schema Problem).
| Status | Meaning |
|---|---|
| 401 | The credential is missing or invalid. |
| 404 | The resource does not exist. |
| default | Any other status is possible; the code field identifies the error. |
Example
Section titled “Example”curl "https://api.virtscale.nl/v1/orgs/$ORG_ID/compute/limits" \
-H "Authorization: Bearer $VIRTSCALE_API_KEY"